Ubuntu/Linux Mint安装 Linux 4.5.1内核

Linux 4.5.1内核 是4.5版本的第一个修正版。Ubuntu/Linux Mint用户可以从Ubuntu的Linux内核网页下载deb包后安装。如果你的一个硬件设备不正常工作,安装最新版的Linux内核也许可以帮助这个硬件设备正常运转。但如果你的硬件设备已经在正常工作,那么安装最新版的Linux内核就不是很必要了,有时甚至会带来新的问题,如网络连接异常,没有声音,或者无法启动系统。

如果你的电脑使用Nvidia或AMD显卡,那么在安装Linux内核前,尽量使用开源的驱动。

Ubuntu/Linux Mint安装 Linux 4.5.1内核

打开终端,使用下面的命令下载Linux 4.5.1内核并安装

32 位系统:

下载3个Linux的deb包:linux-headers-generic, linux-headers-all, linux-image-i386

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.1-wily/linux-headers-4.5.1-040501-generic_4.5.1-040501.201604121331_i386.deb 
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.1-wily/linux-headers-4.5.1-040501_4.5.1-040501.201604121331_all.deb 
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.1-wily/linux-image-4.5.1-040501-generic_4.5.1-040501.201604121331_i386.deb

一次性安装三个deb包。

sudo dpkg -i *.deb

64位系统

下载3个Linux的deb包:linux-headers-generic, linux-headers-all, linux-image-amd64

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.1-wily/linux-headers-4.5.1-040501-generic_4.5.1-040501.201604121331_amd64.deb 
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.1-wily/linux-headers-4.5.1-040501_4.5.1-040501.201604121331_all.deb 
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.1-wily/linux-image-4.5.1-040501-generic_4.5.1-040501.201604121331_amd64.deb

一次性安装三个deb包

sudo dpkg -i *.deb

更新Grub启动菜单

安装完Linux内核后,我们需要让Grub启动管理器发现新安装的内核

sudo update-grub

如果你使用BURG启动管理器,那么使用下面的命令更新启动菜单。

sudo update-burg

最后,我们重启计算机。

sudo shutdown -r now

重新登录后,在终端里运行下面的命令查看当前Linux内核的版本。

uname -r

如何删除Linux 4.5.1内核

你不能删除当前正在运行的Linux内核,所以我们要先重启计算机。在Grub启动菜单中,选择一个比4.5.1旧的Linux内核。

启动旧的Linux内核,进入桌面后,在终端内运行下面的命令删除Linux4.5.1内核。

sudo apt-get purge linux-image-4.5.1-*

同样,我们需要更新Grub启动菜单。

sudo update-grub

Enjoy!

为这篇文章评分
[Total: 0 Average: 0]

发表评论

电子邮件地址不会被公开。 必填项已用*标注